package dk.vajhoej.record.edit;

import java.awt.GridLayout;
import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;

import javax.swing.JLabel;
import javax.swing.JTextField;

import dk.vajhoej.record.FieldInfo;

class FieldString extends FieldBase<String> {
	private static final long serialVersionUID = 1L;
	private JTextField val;
	public FieldString(FieldInfo fi) {
		setLayout(new GridLayout(1, 2));
		val = new JTextField(fi.getLength());
		val.addFocusListener(new FocusListener() {
			public void focusGained(FocusEvent e) {
			}
			public void focusLost(FocusEvent e) {
				while(val.getText().length() < fi.getLength()) {
					val.setText(val.getText() + " ");
				}
				if(val.getText().length() > fi.getLength()) {
					val.setText(val.getText().substring(0, fi.getLength()));
				}
			}
		});
		add(connect(new JLabel("String value:"), val));
		add(new JLabel(""));
	}
	public String getValue() {
		return val.getText();
	}
	public void setValue(String o) {
		val.setText(o);
	}
}
